package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.returns.counter.CounterReturnsSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.returns.liqueurSFY.LiqueurSFYReturnsSingleLSPresenter;

public class ReturnsCreateTools {
	/**
	 * 获取专柜销售扫码的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createReturnsSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_COUNTER_VERSION_MODE:
			presenter = new CounterReturnsSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//世方御
			presenter = new LiqueurSFYReturnsSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}

}
